## org.codehaus.groovy.ast
Class MixinNode

Represents a mixin which can be applied to any ClassNode to implement mixins

author:
  James Strachan

version:
  $Revision: 6778 $

Field Summary
`def` | `EMPTY_ARRAY`

Constructor Summary
`MixinNode(String name, int modifiers, ClassNode superType)`
`MixinNode(String name, int modifiers, ClassNode superType, def interfaces)`

Method Summary

Constructor Detail

### MixinNode

    public MixinNode(String name, int modifiers, ClassNode superType)

  param:
    name is the full name of the class
  param:
    modifiers the modifiers, @see org.objectweb.asm.Opcodes
  param:
    superType the base class name - use "java.lang.Object" if no direct base class

### MixinNode

    public MixinNode(String name, int modifiers, ClassNode superType, def interfaces)

  param:
    name is the full name of the class
  param:
    modifiers the modifiers, @see org.objectweb.asm.Opcodes
  param:
    superType the base class name - use "java.lang.Object" if no direct base class

Method Detail